#
# spec file for package xproxymngproto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define name_archive xproxymanagementprotocol

Name:           xproxymngproto
Version:        1.0.3
Release:        10.5
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: Proxy Management extension
License:        X11
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/xproxymngproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/xproxymngproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%{name_archive}-%{version}.tar.bz2
#BuildRequires:  autoconf >= 2.57
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The X Proxy Manager protocol headers for X11 development.
The Proxy Management Protocol is an ICE based protocol that provides
a way for application servers to easily locate proxy services
available to them.

%package devel
Summary:        The X11 Protocol: Proxy Management extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/xproxymngproto.pc

%description devel
The X Proxy Manager protocol headers for X11 development.
The Proxy Management Protocol is an ICE based protocol that provides
a way for application servers to easily locate proxy services
available to them.

%prep
%setup -n %{name_archive}-%{version} -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%doc %_datadir/doc/*
%_includedir/X11/PM/
%_libdir/pkgconfig/*.pc

%changelog
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING to %%doc
* Tue Apr 29 2014 cfarrell@suse.com
- license update: X11
  See COPYING
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Created package xproxymngproto with initial version 1.0.3
